<template>

  <div class="card panel-card float-left" :id="getId">
    <div class="card-body color-green well">
      <div v-if="showLink">
        <a class="color-brown" :href="getShowLink">

        <h2 class="card-title">{{ item.title }}</h2>
        <p class="card-text">{{ item.content }}</p>
        <p class="card-text">Date souhaitée : {{ getDate }}</p>
        <div class="row">
          <div class="col-lg-6">
            <p class="card-text">Lieu: <br>
              {{ item.address.number }} {{ item.address.street }}<br>
              <span v-if="address2">{{ item.address.street2 }}<br></span>
              {{ item.address.zipCode }} {{ item.address.city }}<br>

            </p>
          </div>
          <div class="col-lg-6">
            <MapItem :lat= item.address.lat  :lon=item.address.lng ></MapItem>

          </div>
        </div>

        <p class="card-text">
          <ButtonSimpleItem
              :lien="getAddLink"
              :text="getBtnText"
              :icon="getBtnIcon"
              :classes="getBtnClasses"
              :message="getBtnMessage"
          ></ButtonSimpleItem>

        </p>
      </a>
    </div>
      <div v-else>

          <h2 class="card-title">{{ item.title }}</h2>
          <p class="card-text">{{ item.content }}</p>
          <p class="card-text">Date souhaitée : {{ getDate }}</p>
          <div class="row">
            <div class="col-lg-6">
              <p class="card-text">Lieu: <br>
                {{ item.address.number }} {{ item.address.street }}<br>
                <span v-if="address2">{{ item.address.street2 }}<br></span>
                {{ item.address.zipCode }} {{ item.address.city }}<br>

              </p>
            </div>
            <div class="col-lg-6">
              <MapItem :lat= item.address.lat  :lon=item.address.lng ></MapItem>

            </div>
          </div>

          <p class="card-text" v-if="showBtn">
            <ButtonSimpleItem
                :lien="getAddLink"
                :text="getBtnText"
                :icon="getBtnIcon"
                :classes="getBtnClasses"
                :message="getBtnMessage"
            ></ButtonSimpleItem>

          </p>
      </div>
    </div>
  </div>
</template>

<script>
import MapItem from "./MapItem"
import ButtonSimpleItem from "./ButtonSimpleItem";
import { DateTime } from 'luxon'

export default {
  name: "BlocItem",
  components: {MapItem, ButtonSimpleItem},
  props: {
    item: {
      type: Object
    },
    showBtn: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      address2: false,
      showLink: false
    }
  },
  computed: {
    getId() {
        return `help_${this.item.id}`
    },
    getAddLink() {
        return `${this.item.addLink}`
    },
    getShowLink() {
      return `${this.item.showLink}`
    },
    getBtnText() {
      return `${this.item.btnText}`
    },
    getBtnIcon(){
      return `${this.item.btnIcon}`
    },
    getBtnClasses(){
      return `${this.item.btnClasses}`
    },
    getBtnMessage(){
      return `${this.item.btnMessage}`
    },
    getDate() {
      if (this.item.dateHelp !== null && this.item.dateHelp !== '') {
        let date = DateTime.fromISO(this.item.dateHelp).setZone('Europe/Paris').setLocale('fr')
        return date.toLocaleString(DateTime.DATE_FULL)+" à "+date.toLocaleString(DateTime.TIME_24_SIMPLE)
      } else {
        return 'Non communiquée'
      }

    }
  },
  beforeMount() {
    if (this.item.address.street2 !== null) {
      this.address2 = true
    }
    if (typeof this.item.showLink !== 'undefined'){
      this.showLink = true
    }
  },
}
</script>

<style scoped>
.color-brown, .color-brown:hover{
  color: #0a0a0a;
  text-decoration: none;
}
</style>